DEX - ルート
価格インパクトと手数料を考慮してトークンスワップの最適ルートを算出。最適パスと準備済みトランザクションを返します
curl --request POST \
--url https://api.chainstream.io/v2/dex/{chain}/route \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"dex": "jupiter",
"userAddress": "oQPnhXAbLbMuKHESaGrbXT17CyvWCpLyERSJA9HCYd7",
"amount": "1000000000",
"swapMode": "ExactIn",
"slippage": 5,
"priorityFee": "1000",
"inputMint": "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
"outputMint": "Es9vMFrzaCERmJfrF4H2FYD4KCoNkY11McCe8BenwNYB",
"recipientAddress": "0x0000000000000000000000000000000000000001",
"permit": "66c85d1637257e890e581f724f69f4d4fc17eee156c0619c4719ed0c66eed0e9",
"deadline": 1716806400000,
"tipFee": "1000000",
"isAntiMev": true,
"maxFeePerGas": "50000000000",
"maxPriorityFeePerGas": "2000000000",
"gasPrice": "50000000000",
"gasLimit": "300000"
}
'import requests
url = "https://api.chainstream.io/v2/dex/{chain}/route"
payload = {
"dex": "jupiter",
"userAddress": "oQPnhXAbLbMuKHESaGrbXT17CyvWCpLyERSJA9HCYd7",
"amount": "1000000000",
"swapMode": "ExactIn",
"slippage": 5,
"priorityFee": "1000",
"inputMint": "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
"outputMint": "Es9vMFrzaCERmJfrF4H2FYD4KCoNkY11McCe8BenwNYB",
"recipientAddress": "0x0000000000000000000000000000000000000001",
"permit": "66c85d1637257e890e581f724f69f4d4fc17eee156c0619c4719ed0c66eed0e9",
"deadline": 1716806400000,
"tipFee": "1000000",
"isAntiMev": True,
"maxFeePerGas": "50000000000",
"maxPriorityFeePerGas": "2000000000",
"gasPrice": "50000000000",
"gasLimit": "300000"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
dex: 'jupiter',
userAddress: 'oQPnhXAbLbMuKHESaGrbXT17CyvWCpLyERSJA9HCYd7',
amount: '1000000000',
swapMode: 'ExactIn',
slippage: 5,
priorityFee: '1000',
inputMint: 'EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v',
outputMint: 'Es9vMFrzaCERmJfrF4H2FYD4KCoNkY11McCe8BenwNYB',
recipientAddress: '0x0000000000000000000000000000000000000001',
permit: '66c85d1637257e890e581f724f69f4d4fc17eee156c0619c4719ed0c66eed0e9',
deadline: 1716806400000,
tipFee: '1000000',
isAntiMev: true,
maxFeePerGas: '50000000000',
maxPriorityFeePerGas: '2000000000',
gasPrice: '50000000000',
gasLimit: '300000'
})
};
fetch('https://api.chainstream.io/v2/dex/{chain}/route', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"args": {
"dex": "jupiter",
"userAddress": "oQPnhXAbLbMuKHESaGrbXT17CyvWCpLyERSJA9HCYd7",
"amount": "1000000000",
"swapMode": "ExactIn",
"slippage": 5,
"priorityFee": "1000",
"inputMint": "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
"outputMint": "Es9vMFrzaCERmJfrF4H2FYD4KCoNkY11McCe8BenwNYB",
"recipientAddress": "0x0000000000000000000000000000000000000001",
"permit": "66c85d1637257e890e581f724f69f4d4fc17eee156c0619c4719ed0c66eed0e9",
"deadline": 1716806400000,
"tipFee": "1000000",
"isAntiMev": true,
"maxFeePerGas": "50000000000",
"maxPriorityFeePerGas": "2000000000",
"gasPrice": "50000000000",
"gasLimit": "300000"
},
"serializedTx": "AQAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAABAAEDRgYGpQEDAQIABQcICQoLDA0ODwAAAAAAAAAAAAAQERITFBUWFxgZGhscHR4fAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA=",
"routeInfo": {
"inAmount": "1000000000",
"outAmount": "985000000",
"priceImpact": "0.15",
"route": [
"USDC",
"SOL"
]
},
"elapsedTime": 245,
"recentBlockhash": "JE38e5sYDcpjcfuKA7Madpq8p3A4zc8UQuonCZDbn2yP",
"lastValidBlockHeight": 416681972
}承認
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
パスパラメータ
サポートされているネットワークに記載されているチェーン名
sol, bsc, eth ボディ
取引用の DEX 識別子
jupiter, kyberswap, raydium, pumpfun, moonshot, candy, launchpad "jupiter"
トランザクションを開始するウォレットの公開鍵
8 - 64"oQPnhXAbLbMuKHESaGrbXT17CyvWCpLyERSJA9HCYd7"
スワップ数量。全残高の場合は "auto"、割合指定の場合は "50%" のように指定
"1000000000"
スワップ方向モード
ExactIn, ExactOut "ExactIn"
スリッページ許容率
0 <= x <= 1005
トランザクション処理速度を上げるための優先手数料(SOL 単位)
"1000"
入力トークンのミントアドレス
"EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v"
出力トークンのミントアドレス
"Es9vMFrzaCERmJfrF4H2FYD4KCoNkY11McCe8BenwNYB"
スワップの受取先ウォレットアドレス
"0x0000000000000000000000000000000000000001"
スワップ用の Permit データ
"66c85d1637257e890e581f724f69f4d4fc17eee156c0619c4719ed0c66eed0e9"
スワップの有効期限タイムスタンプ
1716806400000
トランザクション処理速度を上げるためのチップ手数料(SOL 単位)
"1000000"
アンチ MEV 保護を有効にするかどうか
true
Gas 単位あたりの最大手数料(EIP-1559)(wei 単位)
"50000000000"
Gas 単位あたりの最大優先手数料(EIP-1559)(wei 単位)
"2000000000"
Gas 価格(wei 単位、レガシートランザクション)
"50000000000"
トランザクションの Gas Limit
"300000"
レスポンス
元のスワップリクエストパラメータ
Show child attributes
Show child attributes
Base64 エンコードされたトランザクション
"AQAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAABAAEDRgYGpQEDAQIABQcICQoLDA0ODwAAAAAAAAAAAAAQERITFBUWFxgZGhscHR4fAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA="
詳細なルーティング情報
{
"inAmount": "1000000000",
"outAmount": "985000000",
"priceImpact": "0.15",
"route": ["USDC", "SOL"]
}リクエスト処理にかかった時間(ミリ秒)
245
スワップトランザクションの最近のブロックハッシュ
"JE38e5sYDcpjcfuKA7Madpq8p3A4zc8UQuonCZDbn2yP"
スワップトランザクションの最後の有効ブロック高
416681972
このページは役に立ちましたか?

